=== modified file 'serve-branches.py'
--- serve-branches.py	2008-06-18 07:19:23 +0000
+++ serve-branches.py	2008-06-18 07:35:18 +0000
@@ -12,4 +12,4 @@
 #from paste.evalexception import EvalException
 #app = EvalException(app)
 
-httpserver.serve(app, host='127.0.0.1', port='9876')
+httpserver.serve(app, host='0.0.0.0', port='9876')

=== modified file 'start-loggerhead.py'
--- start-loggerhead.py	2008-06-18 04:26:13 +0000
+++ start-loggerhead.py	2008-06-18 07:35:18 +0000
@@ -88,6 +88,11 @@
                             ('server.webpath', str),
                             ('server.thread_pool', int),
                             ('server.socket_host' ,str) ]
+    server_port = int(config.get('server.socket_port', 8080))
+    nworkers = int(config.get('server.thread_pool', 10))
+    server_host = config.get('server.socket_host', '0.0.0.0')
+    webpath = config.get('server.webpath', None)
+
     for key, keytype in potential_overrides:
         value = config.get(key, None)
         if value is not None:
@@ -113,7 +118,14 @@
     app = make_middleware(app)
     app = make_filter(app, None)
 
-    httpserver.serve(app, host='127.0.0.1', port='9876')
+    if webpath:
+        if not webpath.endswith('/'):
+            webpath += '/'
+        def app(environ, start_response, app=app):
+            environ['SCRIPT_NAME'] = webpath
+            return app(environ, start_response)
+
+    httpserver.serve(app, host=server_host, port=server_port, threadpool_workers=nworkers)
 
 
 if __name__ == '__main__':

